Bug 189365 - [PATCH] sysutils/tree: update to 1.7.0
Summary: [PATCH] sysutils/tree: update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jonathan Chu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-05 04:30 UTC by Jonathan Chu
Modified: 2014-05-08 17:24 UTC (History)
1 user (show)

See Also:


Attachments
tree-1.7.0.patch (3.08 KB, patch)
2014-05-05 04:30 UTC, Jonathan Chu
no flags Details | Diff
tree-1.7.0-port.patch (3.14 KB, patch)
2014-05-05 04:49 UTC, Jonathan Chu
no flags Details | Diff
tree-1.7.0-port.patch (2.94 KB, patch)
2014-05-05 04:53 UTC, Jonathan Chu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chu freebsd_committer 2014-05-05 04:30:00 UTC
- Update to 1.7.0

Fix Makefile for portlint
Update patch-Makefile for new version

https://redports.org/buildarchive/20140505032413-62249/

Port maintainer (gb@unistra.fr) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-05 04:30:04 UTC
Maintainer of sysutils/tree,

Please note that PR ports/189365 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189365

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-05 04:30:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jonathan Chu freebsd_committer 2014-05-05 04:49:00 UTC
FLAGS shoudl be ?=

Attached updated patch.

-- 
milki
Comment 4 Jonathan Chu freebsd_committer 2014-05-05 04:53:37 UTC
Cleaned patch.

I believe this patch is better than the proposed patch in ports/189100
as the patch in ports/189100 retains the ?= assignment for
CFLAGS/LDFLAGS

-- 
milki
Comment 5 Guy Brand 2014-05-05 09:29:04 UTC
On May 05, Edwin Groothuis wrote:

> Maintainer of sysutils/tree,
> 
> Please note that PR ports/189365 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189365

Yes, go for it, this patch is better.
Thanks

-- 
bug
Comment 6 Jonathan Chu freebsd_committer 2014-05-05 17:11:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->milki

I'll take it.
Comment 7 dfilter service freebsd_committer 2014-05-08 17:13:11 UTC
Author: milki
Date: Thu May  8 16:13:06 2014
New Revision: 353328
URL: http://svnweb.freebsd.org/changeset/ports/353328
QAT: https://qat.redports.org/buildarchive/r353328/

Log:
  - Update to 1.7.0
  
  PR:		        189365
  Approved by:	Guy Brand <gb@unistra.fr>
                  swills (mentor)

Modified:
  head/sysutils/tree/Makefile
  head/sysutils/tree/distinfo
  head/sysutils/tree/files/patch-Makefile

Modified: head/sysutils/tree/Makefile
==============================================================================
--- head/sysutils/tree/Makefile	Thu May  8 16:11:12 2014	(r353327)
+++ head/sysutils/tree/Makefile	Thu May  8 16:13:06 2014	(r353328)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	tree
-PORTVERSION=	1.6.0
+PORTVERSION=	1.7.0
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://mama.indstate.edu/linux/tree/ \
 		CENKES
@@ -27,5 +27,4 @@ do-install:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
 
-
 .include <bsd.port.mk>

Modified: head/sysutils/tree/distinfo
==============================================================================
--- head/sysutils/tree/distinfo	Thu May  8 16:11:12 2014	(r353327)
+++ head/sysutils/tree/distinfo	Thu May  8 16:13:06 2014	(r353328)
@@ -1,2 +1,2 @@
-SHA256 (tree-1.6.0.tgz) = 4dc470a74880338b01da41701d8db90d0fb178877e526d385931a007d68d7591
-SIZE (tree-1.6.0.tgz) = 42706
+SHA256 (tree-1.7.0.tgz) = 6957c20e82561ac4231638996e74f4cfa4e6faabc5a2f511f0b4e3940e8f7b12
+SIZE (tree-1.7.0.tgz) = 47082

Modified: head/sysutils/tree/files/patch-Makefile
==============================================================================
--- head/sysutils/tree/files/patch-Makefile	Thu May  8 16:11:12 2014	(r353327)
+++ head/sysutils/tree/files/patch-Makefile	Thu May  8 16:13:06 2014	(r353328)
@@ -1,6 +1,6 @@
---- ./Makefile.orig	2011-06-24 16:25:27.000000000 +0200
-+++ ./Makefile	2012-09-17 13:38:44.926563330 +0200
-@@ -16,14 +16,14 @@
+--- Makefile.orig	2014-05-04 20:11:04.000000000 -0700
++++ Makefile	2014-05-04 20:13:48.000000000 -0700
+@@ -16,28 +16,28 @@
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
@@ -10,22 +10,21 @@
 -CC=gcc
 +CC?=gcc
  
- VERSION=1.6.0
+ VERSION=1.7.0
  TREE_DEST=tree
  BINDIR=${prefix}/bin
 -MAN=tree.1
 +MAN=doc/tree.1
  MANDIR=${prefix}/man/man1
- OBJS=tree.o unix.o html.o xml.o hash.o color.o
+ OBJS=tree.o unix.o html.o xml.o json.o hash.o color.o
  
-@@ -31,13 +31,13 @@
+ # Uncomment options below for your particular OS:
  
  # Linux defaults:
- #CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
--CFLAGS=-O4 -Wall  -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
--LDFLAGS=-s
-+#CFLAGS=-O4 -Wall  -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
-+#LDFLAGS=-s
+-CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
++#CFLAGS=-ggdb -Wall -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+ #CFLAGS=-O4 -Wall  -DLINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+ #LDFLAGS=-s
  
  # Uncomment for FreeBSD:
 -#CFLAGS=-O2 -Wall -fomit-frame-pointer
@@ -37,7 +36,7 @@
  
  # Uncomment for Solaris:
  #CC=cc
-@@ -93,13 +93,11 @@
+@@ -94,13 +94,11 @@
  	if [ -f tree.o ]; then rm *.o; fi
  	rm -f *~
  
@@ -45,7 +44,7 @@
 -	install -d $(BINDIR)
 -	install -d $(MANDIR)
 -	if [ -e $(TREE_DEST) ]; then \
--		install -s $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
+-		install $(TREE_DEST) $(BINDIR)/$(TREE_DEST); \
 -	fi
 -	install doc/$(MAN) $(MANDIR)/$(MAN)
 +install: $(TREE_DEST)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Jonathan Chu freebsd_committer 2014-05-08 17:23:58 UTC
State Changed
From-To: feedback->closed

Committed, thanks!